Bug 1525851

Summary: pump requires script from distcc-server
Product: [Fedora] Fedora Reporter: Ulrich Drepper <drepper>
Component: distccAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 27CC: agrover, gwync
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: distcc-3.2rc1-17.fc27 distcc-3.2rc1-17.fc26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-29 18:44:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ulrich Drepper 2017-12-14 08:12:07 UTC
Description of problem:
The pump wrapper script frpm distcc is meant to be used on clients.  It depends on a Python script which is found in distcc-server, though, thereby making the distinction between the packages meaningless.


Version-Release number of selected component (if applicable):
distcc-3.2rc1-15.fc27.x86_64

How reproducible:
always

Steps to Reproduce:
1.install distcc but not distcc-server
2.prepare a server and set DISTCC_HOSTS appropriately
3.run a Makefile with 'pump'

Actual results:
$ pump make -j CC=distcc CXX=distcc
__________Using distcc-pump from /usr/bin
__________Using 1 distcc server in pump mode
/usr/bin/python: can't open file '/usr/lib64/python2.7/site-packages/include_server/include_server.py': [Errno 2] No such file or directory
__________Expected a socket at '/tmp/distcc-pump.haWwCn/socket'
__________Could not start distcc-pump include server


Expected results:
No error

Additional info:
Maybe moving this one file over to the client package is sufficient.  I haven't tested this, though, I just installed distcc-server.

Comment 1 Fedora Update System 2017-12-21 15:37:43 UTC
distcc-3.2rc1-17.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-16890ff400

Comment 2 Fedora Update System 2017-12-21 15:38:00 UTC
distcc-3.2rc1-17.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f884920938

Comment 3 Fedora Update System 2017-12-21 20:27:32 UTC
distcc-3.2rc1-17.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-16890ff400

Comment 4 Fedora Update System 2017-12-21 21:12:40 UTC
distcc-3.2rc1-17.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f884920938

Comment 5 Fedora Update System 2017-12-29 18:44:59 UTC
distcc-3.2rc1-17.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-12-29 20:52:40 UTC
distcc-3.2rc1-17.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.